REBOOT(8)

NAME
reboot, halt, fastboot, fasthalt - stopping and restarting the system

SYNOPSIS
halt [-nqp]
reboot [-dnqp]
fasthalt [-nqp]
fastboot [-dnqp]

DESCRIPTION
The halt and reboot utilities flush the file system cache to disk, send all running processes a SIGTERM (and subsequently a SIGKILL) and, respectively, halt or restart the system. The action is logged, including entering a shutdown record into the wtmp(5) file.

The options are as follows:

-d  The system is requested to create a crash dump. This option is supported only when rebooting, and it has no effect unless a dump device has previously been specified with dumpon(8).

-n  The file system cache is not flushed. This option should probably not be used.

-q  The system is halted or restarted quickly and ungracefully, and only the flushing of the file system cache is performed (if the -n is not specified). This option should probably not be used.

-p  The system will turn off the power if it can. This is of course likely to make reboot rather similar to halt.

The fasthalt and fastboot utilities are nothing more than aliases for the halt and reboot utilities.

Normally, the shutdown(8) utility is used when the system needs to be halted or restarted, giving users advance warning of their impending doom and cleanly terminating specific programs.

SEE ALSO
wtmp(5), boot(8), dumpon(8), savecore(8), shutdown(8), sync(8)

HISTORY
A reboot command appeared in AT&T UNIX.